/*
  ST7032 Library - Blink

 This example code is in the public domain.

 http://www.arduino.cc/en/Tutorial/LiquidCrystalBlink

 http://www.microfan.jp/library/st7032
 http://www.microfan.jp/plus/clcd-plus-r2
 http://www.microfan.jp/stack/clcd-stack
 http://www.microfan.jp/station/cl0802-station
*/

// include the library code:
#include <ST7032.h>

#define	JAPANESE

// initialize the library
ST7032 lcd;
// ST7032 lcd(PWR3V3) ;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // Print a message to the LCD.
#ifdef JAPANESE
  lcd.print("\272\335\306\301\312 \320\305\273\335!");
#else
  lcd.print("hello, world!");
#endif
}

void loop() {
  // Turn off the blinking cursor:
  lcd.noBlink();
  delay(3000);
  // Turn on the blinking cursor:
  lcd.blink();
  delay(3000);
}
