/*
  ST7032 Library - Serial Input

 This example code is in the public domain.

 http://www.arduino.cc/en/Tutorial/LiquidCrystalSerial

 http://www.microfan.jp/library/st7032
 http://www.microfan.jp/plus/clcd-plus-r2
 http://www.microfan.jp/stack/clcd-stack
 http://www.microfan.jp/station/cl0802-station
*/

// include the library code:
#include <ST7032.h>

// initialize the library
ST7032 lcd;
// ST7032 lcd(PWR3V3) ;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // initialize the serial communications:
  Serial.begin(9600);
}

void loop()
{
  // when characters arrive over the serial port...
  if (Serial.available()) {
    // wait a bit for the entire message to arrive
    delay(100);
    // clear the screen
    lcd.clear();
    // read all the available characters
    while (Serial.available() > 0) {
      // display each character to the LCD
      lcd.write(Serial.read());
    }
  }
}
